Home » RDBMS Server » Server Administration » Pre-upgrade warning (11.2.0.1 to 11.2.0.4) (11g, 11.2.0.1, windows 7)
Pre-upgrade warning (11.2.0.1 to 11.2.0.4) [message #609655] Mon, 10 March 2014 23:32 Go to next message
ishika_20
Messages: 339
Registered: December 2006
Location: delhi
Senior Member
Dear All,

While running pre-upgrade steps, getting few warnings to implement it into pfile/spfile. Don't know what need to update in pfile/spfile. Below are the steps -

SYS@primdb> @C:\TEMP\utlu112i.sql
Oracle Database 11.2 Pre-Upgrade Information Tool 03-11-2014 09:58:13                               
Script Version: 11.2.0.4.0 Build: 001                                                               
.                                                                                                   
**********************************************************************                              
Database:                                                                                           
**********************************************************************                              
--> name:          PRIMDB                                                                           
--> version:       11.2.0.1.0                                                                       
--> compatible:    11.2.0.0.0                                                                       
--> blocksize:     8192                                                                             
--> platform:      Microsoft Windows IA (32-bit)                                                    
--> timezone file: V11                                                                              
.                                                                                                   
**********************************************************************                              
Tablespaces: [make adjustments in the current environment]                                          
**********************************************************************                              
--> SYSTEM tablespace is adequate for the upgrade.                                                  
.... minimum required size: 891 MB                                                                  
--> SYSAUX tablespace is adequate for the upgrade.                                                  
.... minimum required size: 632 MB                                                                  
--> UNDOTBS1 tablespace is adequate for the upgrade.                                                
.... minimum required size: 400 MB                                                                  
--> TEMP tablespace is adequate for the upgrade.                                                    
.... minimum required size: 60 MB                                                                   
.                                                                                                   
**********************************************************************                              
Flashback: OFF                                                                                      
**********************************************************************                              
**********************************************************************                              
Update Parameters: [Update Oracle Database 11.2 init.ora or spfile]                                 
Note: Pre-upgrade tool was run on a lower version 32-bit database.                                  
**********************************************************************                              
--> If Target Oracle is 32-Bit, refer here for Update Parameters:                                   
-- No update parameter changes are required.                                                        
.                                                                                                   
                                                                                                    
--> If Target Oracle is 64-Bit, refer here for Update Parameters:                                   
-- No update parameter changes are required.                                                        
.                                                                                                   
**********************************************************************                              
Renamed Parameters: [Update Oracle Database 11.2 init.ora or spfile]                                
**********************************************************************                              
-- No renamed parameters found. No changes are required.                                            
.                                                                                                   
**********************************************************************                              
Obsolete/Deprecated Parameters: [Update Oracle Database 11.2 init.ora or spfile]                    
**********************************************************************                              
-- No obsolete parameters found. No changes are required                                            
.                                                                                                   
                                                                                                    
**********************************************************************                              
Components: [The following database components will be upgraded or installed]                       
**********************************************************************                              
--> Oracle Catalog Views         [upgrade]  VALID                                                   
--> Oracle Packages and Types    [upgrade]  VALID                                                   
--> JServer JAVA Virtual Machine [upgrade]  VALID                                                   
--> Oracle XDK for Java          [upgrade]  VALID                                                   
--> Oracle Workspace Manager     [upgrade]  VALID                                                   
--> OLAP Analytic Workspace      [upgrade]  VALID                                                   
--> OLAP Catalog                 [upgrade]  VALID                                                   
--> EM Repository                [upgrade]  VALID                                                   
--> Oracle Text                  [upgrade]  VALID                                                   
--> Oracle XML Database          [upgrade]  VALID                                                   
--> Oracle Java Packages         [upgrade]  VALID                                                   
--> Oracle interMedia            [upgrade]  VALID                                                   
--> Spatial                      [upgrade]  VALID                                                   
--> Expression Filter            [upgrade]  VALID                                                   
--> Rule Manager                 [upgrade]  VALID                                                   
--> Oracle Application Express   [upgrade]  VALID                                                   
... APEX will only be upgraded if the version of APEX in                                            
... the target Oracle home is higher than the current one.                                          
--> Oracle OLAP API              [upgrade]  VALID                                                   
.                                                                                                   
**********************************************************************                              
Miscellaneous Warnings                                                                              
**********************************************************************                              
WARNING: --> Database is using a timezone file older than version 14.                               
.... After the release migration, it is recommended that DBMS_DST package                           
.... be used to upgrade the 11.2.0.1.0 database timezone version                                    
.... to the latest version which comes with the new release.                                        
WARNING: --> Sync standby database prior to upgrade.                                                
WARNING: --> Database contains schemas with objects dependent on DBMS_LDAP package.                 
.... Refer to the 11g Upgrade Guide for instructions to configure Network ACLs.                     
.... USER APEX_030200 has dependent objects.                                                        
.                                                                                                   
**********************************************************************                              
Recommendations                                                                                     
**********************************************************************                              
Oracle recommends gathering dictionary statistics prior to                                          
upgrading the database.                                                                             
To gather dictionary statistics execute the following command                                       
while connected as SYSDBA:                                                                          
                                                                                                    
    EXECUTE dbms_stats.gather_dictionary_stats;                                                     
                                                                                                    
**********************************************************************                              
Oracle recommends removing all hidden parameters prior to upgrading.                                
                                                                                                    
To view existing hidden parameters execute the following command                                    
while connected AS SYSDBA:                                                                          
                                                                                                    
    SELECT name,description from SYS.V$PARAMETER WHERE name                                         
        LIKE '\_%' ESCAPE '\'                                                                       
                                                                                                    
Changes will need to be made in the init.ora or spfile.                                             
                                                                                                    
**********************************************************************                              
Oracle recommends reviewing any defined events prior to upgrading.                                  
                                                                                                    
To view existing non-default events execute the following commands                                  
while connected AS SYSDBA:                                                                          
  Events:                                                                                           
    SELECT (translate(value,chr(13)||chr(10),' ')) FROM sys.v$parameter2                            
      WHERE  UPPER(name) ='EVENT' AND  isdefault='FALSE'                                            
                                                                                                    
  Trace Events:                                                                                     
    SELECT (translate(value,chr(13)||chr(10),' ')) from sys.v$parameter2                            
      WHERE UPPER(name) = '_TRACE_EVENTS' AND isdefault='FALSE'                                     
                                                                                                    
Changes will need to be made in the init.ora or spfile.                                             
                                                                                                    
**********************************************************************                              
SYS@primdb> 


Kindly let me know what needs to be done in pfile/ spfile?

Regards,
Ishika
Re: Pre-upgrade warning (11.2.0.1 to 11.2.0.4) [message #609658 is a reply to message #609655] Tue, 11 March 2014 01:03 Go to previous messageGo to next message
ishika_20
Messages: 339
Registered: December 2006
Location: delhi
Senior Member
After doing changes on pfile, I tried to run catupgrd.sql and encounter with error.

current database home path= E:\app\product\11.2.0\dbhome_1\bin
upgrade home path = d:\app\product\11.2.0\dbhome_1\bin

SYS@primdb> SELECT name,description from SYS.V$PARAMETER WHERE name LIKE '\_%' ESCAPE '\';
_undo_autotune
enable auto tuning of undo_retention

_system_trig_enabled
are system triggers enabled

SYS@primdb> create pfile from spfile;
SYS@primdb> sho parameter _undo
_undo_autotune                       boolean     FALSE
SYS@primdb> sho parameter _system
_system_trig_enabled                 boolean     FALSE
filesystemio_options                 string
SYS@primdb> shut abort;
ORACLE instance shut down.
SYS@primdb> exit
Disconnected from Oracle Database 11g Enterprise Edition Release 11.2.0.1.0 - Production
With the Partitioning, OLAP, Data Mining and Real Application Testing options

C:\Users\Lenovo>set path=d:\app\product\11.2.0\dbhome_1\bin;

C:\Users\Lenovo>sqlplus / as sysdba

SQL*Plus: Release 11.2.0.4.0 Production on Tue Mar 11 11:26:05 2014

Copyright (c) 1982, 2013, Oracle.  All rights reserved.

Connected to an idle instance.

SQL> startup upgrade;
ORACLE instance started.

Total System Global Area  573325312 bytes
Fixed Size                  1376044 bytes
Variable Size             427819220 bytes
Database Buffers          138412032 bytes
Redo Buffers                5718016 bytes
Database mounted.
Database opened.
SQL> @?\rdbms\admin\catupgrd.sql;
DOC>#######################################################################
DOC>#######################################################################
DOC>
DOC>   The first time this script is run, there should be no error messages
DOC>   generated; all normal upgrade error messages are suppressed.
DOC>
DOC>   If this script is being re-run after correcting some problem, then
DOC>   expect the following error which is not automatically suppressed:
DOC>
DOC>   ORA-00001: unique constraint (<constraint_name>) violated
DOC>              possibly in conjunction with
DOC>   ORA-06512: at "<procedure/function name>", line NN
DOC>
DOC>   These errors will automatically be suppressed by the Database Upgrade
DOC>   Assistant (DBUA) when it re-runs an upgrade.
DOC>
DOC>#######################################################################
DOC>#######################################################################
DOC>#
DOC>######################################################################
DOC>######################################################################
DOC>    The following statement will cause an "ORA-01722: invalid number"
DOC>    error if the user running this script is not SYS.  Disconnect
DOC>    and reconnect with AS SYSDBA.
DOC>######################################################################
DOC>######################################################################
DOC>#

no rows selected

DOC>######################################################################
DOC>######################################################################
DOC>    The following statement will cause an "ORA-01722: invalid number"
DOC>    error if the database server version is not correct for this script.
DOC>    Perform "ALTER SYSTEM CHECKPOINT" prior to "SHUTDOWN ABORT", and use
DOC>    a different script or a different server.
DOC>######################################################################
DOC>######################################################################
DOC>#
SELECT TO_NUMBER('MUST_BE_11_2_0_4') FROM v$instance
                 *
ERROR at line 1:
ORA-01722: invalid number


Disconnected from Oracle Database 11g Enterprise Edition Release 11.2.0.1.0 - Production
With the Partitioning, OLAP, Data Mining and Real Application Testing options


Require your kind assistance on the same...
Re: Pre-upgrade warning (11.2.0.1 to 11.2.0.4) [message #609679 is a reply to message #609658] Tue, 11 March 2014 03:30 Go to previous messageGo to next message
hkchital
Messages: 128
Registered: September 2008
Location: Singapore
Senior Member
Apparently, the %ORACLE_HOME% is still the 11.2.0.1 Home, not the 11.2.0.4 Home.

Upgrade scripts must be executed with the 11.2.0.4 Home.

Hemant K Chitale
Re: Pre-upgrade warning (11.2.0.1 to 11.2.0.4) [message #609682 is a reply to message #609679] Tue, 11 March 2014 03:42 Go to previous messageGo to next message
ishika_20
Messages: 339
Registered: December 2006
Location: delhi
Senior Member
Dear hkchital,

Upgrade home path is "d:\app\product\11.2.0\dbhome_1\bin", where upgrade s\w is installed. I use DBUA UTILITY , to upgrade the database and its successfully upgraded.

Thanks,
Re: Pre-upgrade warning (11.2.0.1 to 11.2.0.4) [message #609708 is a reply to message #609658] Tue, 11 March 2014 07:29 Go to previous message
EdStevens
Messages: 312
Registered: September 2013
Senior Member
WHY did you do a 'shutdown abort'?
Previous Topic: log file sync issue / archive file size issue
Next Topic: Small table consume too much tablespace
Goto Forum:
  


Current Time: Thu Oct 30 18:19:00 CDT 2014

Total time taken to generate the page: 0.09260 seconds